/*
 * Cliente.java
 *
 * Ejemplo de rmi sin SecurityManager
 */

package chuidiang.ejemplos.rmi.suma;

import java.rmi.*;

/**
 * Ejemplo de cliente rmi nocivo, para aprovecharse de un servidor sin
 * SecurityManager.
 * @author  Javier Abelln
 */
public class Cliente {
    
    /** Crea nueva instancia de Cliente */
    public Cliente() 
    {
        try
        {
            // Se obtiene el objeto remoto
            System.setProperty ("java.rmi.server.codebase",
             "file:/d:/users/javier/java/RMI_SIN_SECURITY/src_cliente/");
	    System.setProperty("java.security.policy",
		    "d:/users/javier/java/RMI_SIN_SECURITY/src_cliente/java.policy");
            if (System.getSecurityManager()==null)
            {
		    System.out.println("Pongo RMISecurityManager");
                System.setSecurityManager(new RMISecurityManager());
            }

            InterfaceRemota objetoRemoto = 
                (InterfaceRemota)Naming.lookup ("//localhost/ObjetoRemoto");
            
            // Se envia un parmetro "inocente"
            System.out.print ("2 + 3 = ");
            System.out.println (objetoRemoto.suma(new SumandoBueno(2,3)));
            
            // Se enva un parmetro "malo"
            System.out.print ("3 + 2 = ");
            System.out.println (objetoRemoto.suma(new SumandoMalo(3,2)));
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Cliente();
    }
    
}
